
Foreman - Feature #24252

Intermediate provisioning step

07/13/2018 01:46 PM - Arend Lapere

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Since we are mostly working with headless systems, and thus cannot easily observe progress of provisioning., it would be nice to

have step between "pending installation" and "finished".

I'm thinking about something like "busy" or similar. Also, not sure if we externally "fail" a system in provisioning?

This way we can tell if it at least went beyond PXE & the initial bootloader. A few use cases in which I really missed it:

Installing centOS over PXE, sometimes the server wasn't accessible, I've waited an hour only to eventually learn internet

connectivity was broken => having an intermediate "busy" step could've informed me that the  system is either installing or "fail"

if the installation did not go through. If I don't have either of the two states withing a few minutes, it can be implied I have

network issues

Installing windows was very similar, when using the wimaging scripts, I forgot to tell which image inside the WIM file it should

use to install, this resulted in a failed build, again, I had to find this one out the hard way (since windows takes some time to

install, there is no reason to be alarmed right away)

The caveat is that it should not be mandatory and that, probably, not all provisioning systems have the option to include this

intermediate step as part of the templates

Related issues:

Related to Foreman - Feature #21007: Templates API to mark a build as failed Closed

History

#1 - 07/13/2018 01:47 PM - Arend Lapere

- Description updated

#2 - 07/14/2018 12:53 PM - Anonymous

- Related to Feature #21007: Templates API to mark a build as failed added

#3 - 07/14/2018 12:54 PM - Anonymous

Could please check if #21007 is already covering your needs?

#4 - 07/16/2018 02:49 PM - Arend Lapere

The issue mentioned definitely solves the bigger issues. The only addition my issue, at this point, has, is that I also would like to be able to try and

detect network issues before the PXE installer kicks in, e.g.:

- DHCP issues

- TFTP (file not available etc.)

- No connection whatsoever

However, I'm pretty sure that 99% of the cases are already covered by the addition of a fail step so I'm going to go ahead and close this on for now.

#5 - 07/16/2018 02:50 PM - Arend Lapere

- Status changed from New to Rejected

#6 - 07/20/2018 12:48 PM - Lukas Zapletal
https://projects.theforeman.org/issues/21007


Feel free to use "failed" endpoint and use request body to set arbitrary error message like "network error" or whatever.
